#!/bin/sh

chown "root:sdk" "/usr/local/packages/nxwitness/mediaserver/bin/root-tool"
chmod u+s "/usr/local/packages/nxwitness/mediaserver/bin/root-tool"

cp "/usr/local/packages/nxwitness/mediaserver/etc/networkoptix-root-tool.service" "/etc/systemd/system/"
systemctl daemon-reload
systemctl enable networkoptix-root-tool.service

# Allow the Server to bind to privileged ports.
setcap CAP_NET_BIND_SERVICE=+eip "/usr/local/packages/nxwitness/mediaserver/bin/mediaserver"

mkdir -p "/usr/local/packages/nxwitness/mediaserver/var/log"
chown -R "sdk:sdk" "/usr/local/packages/nxwitness/mediaserver/var/log"

for dir in /var/spool/storage/SD_DISK/nxwitness_data.*; do
    if -d "${dir}"; then
        version="${dir#*.}"
        if [[ "${version}" < "5.0.0" || "${version}" == "5.0.0" ]]; then
            mv "${dir}" "/var/spool/storage/SD_DISK/nxwitness_data"
            break
        fi
    fi
done

mkdir -p "/var/spool/storage/SD_DISK/nxwitness_data"
chown -R sdk:sdk "/var/spool/storage/SD_DISK/nxwitness_data"

rm -Rf "/var/spool/storage/SD_DISK/nxwitness_data".*

systemctl start networkoptix-root-tool.service
